import QtQuick 1.0

import quickwidgets 1.0
//import qmlprocess 1.0

Item {
    function getImage(btype) {
        return eval("container."+btype+"image")
    }

    function runAnim(btype) {
        eval(btype+"anim.start()")
    }

    function getDbusCommand(btype) {
        var dcom = "sh -c \"dbus-send --type=method_call --dest=ru.somebody.someplayer / ru.somebody.someplayer.%%%\""
        return dcom.replace("%%%", btype)
    }

    id: container;
    width: 48
    height: 48

    property color inactivecolor: "#64b5b5b5"
    property color activecolor: "#6427c2ff"
    property string buttonType: "prev"
    property string previmage: "/etc/hildon/theme/mediaplayer/Back.png"
    property string nextimage: "/etc/hildon/theme/mediaplayer/Forward.png"
    property string stopimage: "/etc/hildon/theme/mediaplayer/Stop.png"
//    property string previmage: "/scratchbox/users/mar637/targets/FREMANTLE_ARMEL/usr/share/themes/alpha/mediaplayer/Back.png"
//    property string nextimage: "/scratchbox/users/mar637/targets/FREMANTLE_ARMEL/usr/share/themes/alpha/mediaplayer/Forward.png"
//    property string stopimage: "/scratchbox/users/mar637/targets/FREMANTLE_ARMEL/usr/share/themes/alpha/mediaplayer/Stop.png"
    signal pressed()

    SequentialAnimation {
        id: prevanim
        PropertyAnimation { target: play; property: "x"; duration: 150; to: -5   }
        PropertyAnimation { target: play; property: "x"; duration: 100; to: 0  }
    }
    SequentialAnimation {
        id: nextanim
        PropertyAnimation { target: play; property: "x"; duration: 150; to: 5   }
        PropertyAnimation { target: play; property: "x"; duration: 100; to: 0  }
    }
    SequentialAnimation {
        id: stopanim
        NumberAnimation { target: play; property: "scale"; duration: 150; to: 0.9   }
        PropertyAnimation { target: play; property: "scale"; duration: 100; to: 1.0  }
    }

    Rectangle {
        id: button
        radius: 10
        color:  container.inactivecolor
        anchors.fill: parent
        Image {
            id: play
            //anchors.fill: parent
            smooth: true
            source: getImage(container.buttonType)
            width: container.width
            height: container.height

        }
        MouseArea {
            id: ma
            anchors.fill:  parent
            onClicked: {
                button.color = container.activecolor;
                dbus.run();
                runAnim(container.buttonType)
                container.pressed();
            }
        }
        Timer {
            id: colort
            interval: 200
            repeat: false
            onTriggered: { button.color = container.inactivecolor}
        }

        Process {
             id: dbus
             command: getDbusCommand(container.buttonType)

             onCompleted: { colort.start() }
             onFailed: { button.color = "red"; }
        }
    }
}
