import QtQuick 1.0


Column {
    function updateLabels() {
        album.update();
        title.update();
        artist.update()
    }
    function suspend() {
        updateinfo.stop()
    }
    function resume() {
        updateinfo.restart()
    }

    id: info
    spacing: 1

    Label {
        anchors.horizontalCenter: parent.horizontalCenter
        id: title
        labelType: "title"
        fontSize: 12
        fontBold:  true
    }
    Label {
        anchors.horizontalCenter: parent.horizontalCenter
        id: artist
        textColor:  "#c0c0c0"
        labelType: "artist"
        fontSize: 10
    }
    Label {
        anchors.horizontalCenter: parent.horizontalCenter
        id: album
        labelType: "album"
        fontSize: 8
    }

    Timer {
        id: updateinfo
        repeat: true
        interval: 5000
        triggeredOnStart: true
        running: runtime.isActiveWindow
        onTriggered: { updateLabels() }
    }
    Component.onCompleted: { updateinfo.start(); }
}
