import QtQuick 1.0
//import qmlprocess 1.0
import quickwidgets 1.0

import "content"

Item {
    width:  270
    height:  50


    Text {
        id: note
        anchors.centerIn: parent
        Row {
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.topMargin: 10
        anchors.top: parent.top
        id: playertext
        spacing: 10
        Button {
            width: 45
            height: 45
            id: backtext
            anchors.bottom: parent.bottom
            buttonType: "prev"
            onPressed: {
                info.resume();
                pp.play()
            }
        }

        ToggleButton {
            id: pptext
            width: 45
            height: 45
            onPressed: {
                info.resume();
            }
        }
        Button {
            id: stoptext
            buttonType: "stop"
            width: 45
            height: 45
            onPressed: {
                info.suspend()
                pp.pause()
            }
        }

        Button {
            width: 45
            height: 45
            id: fwdtext
            anchors.bottom: parent.bottom
            buttonType: "next"
            onPressed: {
                info.resume();
                pp.play()
            }
        }
      }

    }

    Timer {
        id: checktimer
        interval:  20000
        triggeredOnStart: true
        repeat:  true
        running: runtime.isActiveWindow
        onTriggered:  {checker.run();}
    }

    Process {
        id: checker
        command: "sh -c \"ps -ef |grep someplayer |grep -v grep\""
        onCompleted: {
            player.visible = true;
            info.visible = true;
            info.resume();
            note.visible = false;
        }
        onFailed: {
            player.visible = false;
            info.visible = false;
            info.suspend()
            note.visible = true;
        }
    }

    Component.onCompleted: {
        checktimer.start()
    }
}

